<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SellerAccount extends Model
{
    protected $fillable = ['seller_product_id', 'details', 'is_sold', 'buyer_id'];

    public function product()
    {
        return $this->belongsTo(SellerProduct::class, 'seller_product_id');
    }

    public function buyer()
    {
        return $this->belongsTo(User::class, 'buyer_id');
    }
}
